<% @folder = Folder.find(controller.folder_id)%>
<p class="title">Upload file</p>
<% if flash[:folder_error] %>
    <div id="error"><%= flash[:folder_error] %></div>
<% end %>

<% form_tag({:action => 'do_the_upload', :folder_id => controller.folder_id}, {:multipart => true, :name => 'upload_form'}) do %>
    <%= myfile_to_file(error_messages_for('myfile')) %>
    <% if @folder.note_upload_inherited %>
        <div id="note"><%= @folder.note_upload_inherited %></div>
    <% end %>
    
    <label for="myfile_name">Select file to upload:</label><br/>
    <%= file_field 'myfile', 'myfile', :onchange =>  'if (document.upload_form.myfile_myfile.value.match(/\.zip$/i)) {Element.show("zip_file");} else {Element.hide("zip_file"); Element.hide("zip_help");} 
        var m = document.upload_form.myfile_myfile.value.match(/(.*)[\\/\\\\]([^\\/\\\\]+\\.\\w+)$/);
        document.upload_form.myfile_newname.value = m[2];'
    %>
    <br />
<div id='newfilename'><br>    New filename:      <br>
    <input  type='text' id='myfile_newname' name='myfile_newname' style="width:330px"/>      <br>                </div>
    <br />
<% %>    
<div id="zip_file" style="display:none;position:relative;">
 <%= check_box :zip, :yes, :onchange =>  "if (document.upload_form.zip_yes.checked) {document.upload_form.zip_folders_yes.checked = false; Element.hide('newfilename');} if (document.upload_form.zip_yes.checked == false && document.upload_form.zip_folders_yes.checked == false) {Element.show('newfilename')}"  %>
Extract zip file and put all files into current directory 
<a href=# onclick="Element.show('zip_help')">(help)</a><br><br>
 	  
 <%= check_box(:zip_folders, :yes, :onchange =>  "if (document.upload_form.zip_folders_yes.checked) {document.upload_form.zip_yes.checked = false; ; Element.hide('newfilename');} if (document.upload_form.zip_yes.checked == false && document.upload_form.zip_folders_yes.checked == false) {Element.show('newfilename')}") %> 
Extract zip files and create new directories 
<a href=# onclick="Element.show(zip_help)">(help)</a><br>
</div>

<div id="zip_help" style="display:none;position:relative;"><font size=small><i><hr>If you choose to put all files into the current directory, they will all be extracted into the directory you are in now. However, if you choose the second option, it will replicate the directory structure of the zip file in boxroom. So, if the zip file has files with paths like MIS/Accounting/Report.doc, the new folders MIS and Accounting will be created in the current folder. Make sure the paths are correct before you upload the zip file with this option.</font></i></div>

    <%= submit_tag 'Upload' %>
<% end %>


<%= link_to 'Back', :controller => 'folder', :action => 'list', :id => controller.folder_id %>
